Get Indexing

Get Indexing

This method allows you to get information on an indexing using its ID.

The returned information includes the status (if the indexing is queued, if it is actively running, or if it has completed) and other metadata.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
index_id
Required

index_id

string
indexing_id
Required

indexing_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns Indexing of type(s) application/json
{
    "id": "string",
    "created_at": 0,
    "knowledge_base_id": "string",
    "index_id": "string",
    "completed_at": 0
}
string As uuid As uuid
id
Required

ID of the indexing.

state
Required

State of the indexing.

integer
created_at
Required

Unix timestamp (in seconds) when the indexing was created.

string As uuid As uuid
knowledge_base_id
Required

The ID of the knowledge base that is being indexed.

string As uuid As uuid
index_id
Required

The ID of the index that is being indexed.

integer
completed_at
Optional

Unix timestamp (in seconds) when the indexing completed.


404

Invalid knowledge base, index or indexing ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
"HTTPValidationError Object"
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}